> This page is for version 0.5.1.
> For other versions, use one of these documentation indexes:
> - Latest (default): https://docs.nvidia.com/nemo-helix/latest/llms.txt
> - 0.7.0: https://docs.nvidia.com/nemo-helix/v0.7.0/llms.txt
> - 0.6.0: https://docs.nvidia.com/nemo-helix/v0.6.0/llms.txt
> - 0.5.1: https://docs.nvidia.com/nemo-helix/v0.5.1/llms.txt
> - 0.5.0: https://docs.nvidia.com/nemo-helix/v0.5.0/llms.txt
> - 0.4.0: https://docs.nvidia.com/nemo-helix/v0.4.0/llms.txt
> - 0.3.0: https://docs.nvidia.com/nemo-helix/v0.3.0/llms.txt
> - 0.2.0: https://docs.nvidia.com/nemo-helix/v0.2.0/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/nemo-helix/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/nemo-helix/_mcp/server.

# Ingest Atif

POST /apis/intake/v2/workspaces/{workspace}/ingest/atif
Content-Type: application/json

Reference: https://docs.nvidia.com/nemo-helix/v0.5.1/documentation/reference/api-reference/ingest/atif-apis-intake-v-2-workspaces-workspace-ingest-atif-post

## Request

### Path parameters

- `workspace` (string, required)

### Body (application/json)

This endpoint expects an AtifIngestRequest.

- `schema_version` (enum, required)
  - Allowed values: `ATIF-v1.0`, `ATIF-v1.1`, `ATIF-v1.2`, `ATIF-v1.3`, `ATIF-v1.4`, `ATIF-v1.5`, `ATIF-v1.6`, `ATIF-v1.7`
- `agent` (AtifAgent, required)
- `evaluation_context` (EvaluationContext, optional) — Identifies the Evaluation and optional test case associated with ingested telemetry.
- `session_id` (string, optional)
- `trajectory_id` (string, optional)
- `final_metrics` (AtifFinalMetrics, optional)
- `continued_trajectory_ref` (string, optional)
- `notes` (string, optional)
- `extra` (map from string to any, optional)
- `steps` (list of AtifStep, optional)
- `subagent_trajectories` (list of AtifTrajectory, optional)

## Response

### 201

Successful Response

## Errors

### 422 Unprocessable Entity Error

Validation Error

- `detail` (list of ValidationError, optional)

## Types

### AtifAgent

- `name` (string, required)
- `version` (string, required)
- `model_name` (string, optional)
- `tool_definitions` (list of map from string to any, optional)
- `extra` (map from string to any, optional)

### EvaluationContext

Identifies the Evaluation and optional test case associated with ingested telemetry.

- `evaluation_name` (string, optional) — Name of an existing Evaluation.
- `test_case_name` (string, optional) — Optional producer-supplied test case name.
- `evaluation_id` (string, optional, deprecated) — Deprecated alias for evaluation_name. Use evaluation_name instead.
- `test_case_id` (string, optional, deprecated) — Deprecated alias for test_case_name. Use test_case_name instead.

### AtifFinalMetrics

- `total_prompt_tokens` (integer, optional)
- `total_completion_tokens` (integer, optional)
- `total_cached_tokens` (integer, optional)
- `total_cost_usd` (double, optional)
- `total_steps` (integer, optional)
- `extra` (map from string to any, optional)

### AtifStep

- `source`: `agent` (AtifStepAgent)
  - `step_id` (integer, required)
  - `extra` (map from string to any, optional)
  - `is_copied_context` (boolean, optional)
  - `llm_call_count` (integer, optional)
  - `message` (AtifStepAgentMessage, optional, default: )
  - `metrics` (AtifMetrics, optional)
  - `model_name` (string, optional)
  - `observation` (AtifObservation, optional)
  - `reasoning_content` (string, optional)
  - `reasoning_effort` (AtifStepAgentReasoningEffort, optional)
  - `timestamp` (datetime, optional)
  - `tool_calls` (list of AtifToolCall, optional)
- `source`: `system` (AtifStepSystem)
  - `step_id` (integer, required)
  - `extra` (map from string to any, optional)
  - `is_copied_context` (boolean, optional)
  - `llm_call_count` (integer, optional)
  - `message` (AtifStepSystemMessage, optional, default: )
  - `observation` (AtifObservation, optional)
  - `timestamp` (datetime, optional)
- `source`: `user` (AtifStepUser)
  - `step_id` (integer, required)
  - `extra` (map from string to any, optional)
  - `is_copied_context` (boolean, optional)
  - `llm_call_count` (integer, optional)
  - `message` (AtifStepUserMessage, optional, default: )
  - `observation` (AtifObservation, optional)
  - `timestamp` (datetime, optional)

### AtifTrajectory

- `agent` (AtifAgent, required)
- `schema_version` (enum, optional, default: ATIF-v1.7)
  - Allowed values: `ATIF-v1.0`, `ATIF-v1.1`, `ATIF-v1.2`, `ATIF-v1.3`, `ATIF-v1.4`, `ATIF-v1.5`, `ATIF-v1.6`, `ATIF-v1.7`
- `session_id` (string, optional)
- `trajectory_id` (string, optional)
- `steps` (list of AtifStep, optional)
- `notes` (string, optional)
- `final_metrics` (AtifFinalMetrics, optional)
- `continued_trajectory_ref` (string, optional)
- `extra` (map from string to any, optional)
- `subagent_trajectories` (list of AtifTrajectory, optional) — Embedded ATIF-v1.7 subagent trajectories. Intake expands these into the parent trajectory's trace, resolving subagent_trajectory_ref entries by trajectory_id.
- `evaluation_context` (EvaluationContext, optional) — Identifies the Evaluation and optional test case associated with ingested telemetry.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)
- `input` (any, optional)
- `ctx` (map from string to any, optional)

### AtifStepAgentMessage

### AtifMetrics

- `prompt_tokens` (integer, optional)
- `completion_tokens` (integer, optional)
- `cached_tokens` (integer, optional)
- `cost_usd` (double, optional)
- `prompt_token_ids` (list of integer, optional)
- `completion_token_ids` (list of integer, optional)
- `logprobs` (list of double, optional)
- `extra` (map from string to any, optional)

### AtifObservation

- `results` (list of AtifObservationResult, optional)

### AtifStepAgentReasoningEffort

### AtifToolCall

- `tool_call_id` (string, required)
- `function_name` (string, required)
- `arguments` (map from string to any, optional)
- `extra` (map from string to any, optional)

### AtifStepSystemMessage

### AtifStepUserMessage

### ValidationErrorLocItems

### AtifObservationResult

- `source_call_id` (string, optional)
- `content` (AtifObservationResultContent, optional)
- `subagent_trajectory_ref` (list of AtifSubagentTrajectoryRef, optional)
- `extra` (map from string to any, optional)

### AtifObservationResultContent

### AtifSubagentTrajectoryRef

## Examples

**Request**

```json
{
  "schema_version": "ATIF-v1.0",
  "agent": {
    "name": "string",
    "version": "string"
  }
}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/apis/intake/v2/workspaces/workspace/ingest/atif"

payload = {
    "schema_version": "ATIF-v1.0",
    "agent": {
        "name": "string",
        "version": "string"
    }
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.example.com/apis/intake/v2/workspaces/workspace/ingest/atif';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"schema_version":"ATIF-v1.0","agent":{"name":"string","version":"string"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/apis/intake/v2/workspaces/workspace/ingest/atif"

	payload := strings.NewReader("{\n  \"schema_version\": \"ATIF-v1.0\",\n  \"agent\": {\n    \"name\": \"string\",\n    \"version\": \"string\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/apis/intake/v2/workspaces/workspace/ingest/atif")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"schema_version\": \"ATIF-v1.0\",\n  \"agent\": {\n    \"name\": \"string\",\n    \"version\": \"string\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.example.com/apis/intake/v2/workspaces/workspace/ingest/atif")
  .header("Content-Type", "application/json")
  .body("{\n  \"schema_version\": \"ATIF-v1.0\",\n  \"agent\": {\n    \"name\": \"string\",\n    \"version\": \"string\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.example.com/apis/intake/v2/workspaces/workspace/ingest/atif', [
  'body' => '{
  "schema_version": "ATIF-v1.0",
  "agent": {
    "name": "string",
    "version": "string"
  }
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/apis/intake/v2/workspaces/workspace/ingest/atif");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"schema_version\": \"ATIF-v1.0\",\n  \"agent\": {\n    \"name\": \"string\",\n    \"version\": \"string\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "schema_version": "ATIF-v1.0",
  "agent": [
    "name": "string",
    "version": "string"
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/apis/intake/v2/workspaces/workspace/ingest/atif")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```